<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.extractor.POIOLE2TextExtractor (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.extractor.POIOLE2TextExtractor (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
               title="class in org.apache.poi.extractor">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/extractor/class-use/POIOLE2TextExtractor.html"
               target="_top">Frames</a></li>
        <li><a href="POIOLE2TextExtractor.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.extractor.POIOLE2TextExtractor" class="title">Uses of Class<br>org.apache.poi.extractor.POIOLE2TextExtractor
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                        title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a></span><span class="tabEnd">&nbsp;</span>
                </caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.extractor">org.apache.poi.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.extractor.ole2">org.apache.poi.extractor.ole2</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hdgf.extractor">org.apache.poi.hdgf.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hpbf.extractor">org.apache.poi.hpbf.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hpsf.extractor">org.apache.poi.hpsf.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hslf.extractor">org.apache.poi.hslf.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hsmf.extractor">org.apache.poi.hsmf.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.extractor">org.apache.poi.hssf.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf.extractor">org.apache.poi.hwpf.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.ooxml.extractor">org.apache.poi.ooxml.extractor</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.extractor">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                   title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a> in <a
                            href="../../../../../org/apache/poi/extractor/package-summary.html">org.apache.poi.extractor</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/extractor/package-summary.html">org.apache.poi.extractor</a> with parameters of type <a
                                href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                    title="class in org.apache.poi.extractor">POITextExtractor</a>[]</code></td>
                            <td class="colLast"><span class="typeNameLabel">OLE2ExtractorFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/extractor/OLE2ExtractorFactory.html#getEmbededDocsTextExtractors-org.apache.poi.extractor.POIOLE2TextExtractor-">getEmbededDocsTextExtractors</a></span>(<a
                                    href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                    title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a>&nbsp;ext)</code>
                                <div class="block">Returns an array of text extractors, one for each of
                                    the embedded documents in the file (if there are any).
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../org/apache/poi/extractor/package-summary.html">org.apache.poi.extractor</a> with parameters of type <a
                                href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html#POIOLE2TextExtractor-org.apache.poi.extractor.POIOLE2TextExtractor-">POIOLE2TextExtractor</a></span>(<a
                                    href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                    title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a>&nbsp;otherExtractor)</code>
                                <div class="block">Creates a new text extractor, using the same
                                    document as another text extractor.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.extractor.ole2">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                   title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a> in <a
                            href="../../../../../org/apache/poi/extractor/ole2/package-summary.html">org.apache.poi.extractor.ole2</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/extractor/ole2/package-summary.html">org.apache.poi.extractor.ole2</a> with parameters of type <a
                                href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">OLE2ScratchpadExtractorFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/extractor/ole2/OLE2ScratchpadExtractorFactory.html#identifyEmbeddedResources-org.apache.poi.extractor.POIOLE2TextExtractor-java.util.List-java.util.List-">identifyEmbeddedResources</a></span>(<a
                                    href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                    title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a>&nbsp;ext,
                                java.util.List&lt;<a href="../../../../../org/apache/poi/poifs/filesystem/Entry.html"
                                                     title="interface in org.apache.poi.poifs.filesystem">Entry</a>&gt;&nbsp;dirs,
                                java.util.List&lt;java.io.InputStream&gt;&nbsp;nonPOIFS)</code>
                                <div class="block">Returns an array of text extractors, one for each of
                                    the embedded documents in the file (if there are any).
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hdgf.extractor">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                   title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a> in <a
                            href="../../../../../org/apache/poi/hdgf/extractor/package-summary.html">org.apache.poi.hdgf.extractor</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a> in <a
                                href="../../../../../org/apache/poi/hdgf/extractor/package-summary.html">org.apache.poi.hdgf.extractor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hdgf/extractor/VisioTextExtractor.html"
                                    title="class in org.apache.poi.hdgf.extractor">VisioTextExtractor</a></span></code>
                                <div class="block">Class to find all the text in a Visio file, and return it.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hpbf.extractor">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                   title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a> in <a
                            href="../../../../../org/apache/poi/hpbf/extractor/package-summary.html">org.apache.poi.hpbf.extractor</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a> in <a
                                href="../../../../../org/apache/poi/hpbf/extractor/package-summary.html">org.apache.poi.hpbf.extractor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hpbf/extractor/PublisherTextExtractor.html"
                                    title="class in org.apache.poi.hpbf.extractor">PublisherTextExtractor</a></span></code>
                                <div class="block">Extract text from HPBF Publisher files</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hpsf.extractor">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                   title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a> in <a
                            href="../../../../../org/apache/poi/hpsf/extractor/package-summary.html">org.apache.poi.hpsf.extractor</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a> in <a
                                href="../../../../../org/apache/poi/hpsf/extractor/package-summary.html">org.apache.poi.hpsf.extractor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hpsf/extractor/HPSFPropertiesExtractor.html"
                                    title="class in org.apache.poi.hpsf.extractor">HPSFPropertiesExtractor</a></span></code>
                                <div class="block">Extracts all of the HPSF properties, both
                                    build in and custom, returning them in
                                    textual form.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../org/apache/poi/hpsf/extractor/package-summary.html">org.apache.poi.hpsf.extractor</a> with parameters of type <a
                                href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hpsf/extractor/HPSFPropertiesExtractor.html#HPSFPropertiesExtractor-org.apache.poi.extractor.POIOLE2TextExtractor-">HPSFPropertiesExtractor</a></span>(<a
                                    href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                    title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a>&nbsp;mainExtractor)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hslf.extractor">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                   title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a> in <a
                            href="../../../../../org/apache/poi/hslf/extractor/package-summary.html">org.apache.poi.hslf.extractor</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a> in <a
                                href="../../../../../org/apache/poi/hslf/extractor/package-summary.html">org.apache.poi.hslf.extractor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hslf/extractor/PowerPointExtractor.html"
                                    title="class in org.apache.poi.hslf.extractor">PowerPointExtractor</a></span></code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                    <div class="block"><span class="deprecationComment">in POI 4.0.0, use <a
                                            href="../../../../../org/apache/poi/sl/extractor/SlideShowExtractor.html"
                                            title="class in org.apache.poi.sl.extractor"><code>SlideShowExtractor</code></a> instead</span>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hsmf.extractor">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                   title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a> in <a
                            href="../../../../../org/apache/poi/hsmf/extractor/package-summary.html">org.apache.poi.hsmf.extractor</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a> in <a
                                href="../../../../../org/apache/poi/hsmf/extractor/package-summary.html">org.apache.poi.hsmf.extractor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hsmf/extractor/OutlookTextExtactor.html"
                                    title="class in org.apache.poi.hsmf.extractor">OutlookTextExtactor</a></span></code>
                                <div class="block">A text extractor for HSMF (Outlook) .msg files.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hssf.extractor">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                   title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a> in <a
                            href="../../../../../org/apache/poi/hssf/extractor/package-summary.html">org.apache.poi.hssf.extractor</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a> in <a
                                href="../../../../../org/apache/poi/hssf/extractor/package-summary.html">org.apache.poi.hssf.extractor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/extractor/EventBasedExcelExtractor.html"
                                    title="class in org.apache.poi.hssf.extractor">EventBasedExcelExtractor</a></span></code>
                                <div class="block">A text extractor for Excel files, that is based
                                    on the HSSF EventUserModel API.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/extractor/ExcelExtractor.html"
                                    title="class in org.apache.poi.hssf.extractor">ExcelExtractor</a></span></code>
                                <div class="block">A text extractor for Excel files.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hwpf.extractor">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                   title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a> in <a
                            href="../../../../../org/apache/poi/hwpf/extractor/package-summary.html">org.apache.poi.hwpf.extractor</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a> in <a
                                href="../../../../../org/apache/poi/hwpf/extractor/package-summary.html">org.apache.poi.hwpf.extractor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hwpf/extractor/Word6Extractor.html"
                                    title="class in org.apache.poi.hwpf.extractor">Word6Extractor</a></span></code>
                                <div class="block">Class to extract the text from old (Word 6 / Word 95) Word
                                    Documents.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hwpf/extractor/WordExtractor.html"
                                    title="class in org.apache.poi.hwpf.extractor">WordExtractor</a></span></code>
                                <div class="block">Class to extract the text from a Word Document.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.ooxml.extractor">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                   title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a> in <a
                            href="../../../../../org/apache/poi/ooxml/extractor/package-summary.html">org.apache.poi.ooxml.extractor</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/ooxml/extractor/package-summary.html">org.apache.poi.ooxml.extractor</a> with parameters of type <a
                                href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                    title="class in org.apache.poi.extractor">POITextExtractor</a>[]</code></td>
                            <td class="colLast"><span class="typeNameLabel">ExtractorFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ooxml/extractor/ExtractorFactory.html#getEmbeddedDocsTextExtractors-org.apache.poi.extractor.POIOLE2TextExtractor-">getEmbeddedDocsTextExtractors</a></span>(<a
                                    href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                    title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a>&nbsp;ext)</code>
                                <div class="block">Returns an array of text extractors, one for each of
                                    the embedded documents in the file (if there are any).
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                    title="class in org.apache.poi.extractor">POITextExtractor</a>[]</code></td>
                            <td class="colLast"><span class="typeNameLabel">ExtractorFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ooxml/extractor/ExtractorFactory.html#getEmbededDocsTextExtractors-org.apache.poi.extractor.POIOLE2TextExtractor-">getEmbededDocsTextExtractors</a></span>(<a
                                    href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                    title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a>&nbsp;ext)</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                    <div class="block"><span class="deprecationComment">Use the method with correct "embedded"</span>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
               title="class in org.apache.poi.extractor">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/extractor/class-use/POIOLE2TextExtractor.html"
               target="_top">Frames</a></li>
        <li><a href="POIOLE2TextExtractor.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
